# *********************************************************************************************************
#  Temporary ES Tools wrappers for  use
#      with ESPython!
#
#   Instructions:
#         import est
#
#	run all commands as est.COMMAND(params)
#	examples:
'''	
def player_death(event_var):
	est.Health('#l', '500')
	deaths = est.GetDeaths(event_var['userid'])
	est.Name(event_var['userid'], '('+str(deaths)+' deaths)'+event_var['es_username'])
'''
#	It's worth noting that I have no idea why you'd want to do this specifically, it's just to show you how to use them :)
# *********************************************************************************************************

import es

def AddDownload(loc):
	es.server.cmd('est_AddDownload "'+str(loc)+'"')

def Armor(ident, oper, amt):
	es.server.cmd('est_Armor '+str(ident)+' '+str(oper)+' '+str(amt))

def ArmorAdd(ident, amt):
	es.server.cmd('est_ArmorAdd '+str(ident)+' '+str(amt))
	
def BlackHole(x, y, z, time):
	es.server.cmd('est_BlackHole '+str(x)+' '+str(y)+' '+str(z)+' '+str(time))

def BlackHole(userid, time):
	try:
		userid = str(userid)
	except ValueError:
		return 0
	x, y, z = es.getplayerlocation(userid)
	BlackHole(x, y, z, time)

def Burn(ident, time):
	es.server.cmd('est_burn '+str(ident)+' '+str(time))

def CExec(ident, cmd):
	es.server.cmd('est_CExec '+str(ident)+' '+str(cmd))

def Cash(ident, oper, amt):
	es.server.cmd('est_Cash '+str(ident)+' '+str(oper)+' '+str(amt))

def CashAdd(ident, amt):
	es.server.cmd('est_CashAdd '+str(ident)+' '+str(amt))

def DeathAdd(ident, amt):
	es.server.cmd('est_DeathAdd '+str(ident)+' '+str(amt))

def DeathSet(ident, amt):
	es.server.cmd('est_DeathSet '+str(ident)+' '+str(amt))
	
def DeleteRagdolls(ident=None):
	es.server.cmd('est_DeleteRagdolls '+str(ident))

def DropWeapon(ident, weapon):
	es.server.cmd('est_DropWeapon '+str(ident)+' '+str(weapon))

def Drug(ident, time=None):
	es.server.cmd('est_Drug '+str(ident)+' '+str(time))

def Drunk(ident, time=None):
	es.server.cmd('est_Drunk '+str(ident)+' '+str(time))

def Fade(ident, type, ftime, time, r, g, b, a):
	es.server.cmd('est_Fade '+str(ident)+' '+str(type)+' '+str(ftime)+' '+str(time)+' '+str(r)+' '+str(g)+' '+str(b)+' '+str(a))

def Freeze(ident, onoff):
	es.server.cmd('est_Freeze '+str(ident)+' '+str(onoff))

def GetAmmo(ident, weapon):
	es.set('_temp', 0)
	es.server.cmd('est_GetAmmo '+str(ident)+' _temp')
	return es.ServerVar('_temp')

def GetAngleToPostr(ident, x, y, z):
	es.set('_t1', 0)
	es.set('_t2', 0)
	es.set('_t3', 0)
	es.server.cmd('est_GetAngleToPoint '+str(ident)+' '+str(x)+' '+str(y)+' '+str(z)+' _t1 _t2 _t3')
	return str(es.ServerVar('_t1')), str(es.ServerVar('_t2')), str(es.ServerVar('_t3'))

def GetArmor(ident):
	es.set('_temp', 0)
	es.server.cmd('est_GetArmor _temp '+str(ident))
	return es.ServerVar('_temp')

def GetChat(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetChat _temp '+str(userid))
	return es.ServerVar('_temp')

def GetDeaths(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetDeaths _temp '+str(userid))
	return es.ServerVar('_temp')

def GetEscort(ident):
	es.set('_temp', 0)
	es.server.cmd('est_GetEscort _temp '+str(ident))
	return es.ServerVar('_temp')

def GetEyeCoord(ident):
	es.set('_t1', 0)
	es.set('_t2', 0)
	es.set('_t3', 0)
	es.server.cmd('est_GetEyeCoord _temp '+str(ident)+' _t1 _t2 _t3')
	return str(es.ServerVar('_t1')), str(es.ServerVar('_t2')), str(es.ServerVar('_t3'))

def GetFB(ident):
	es.set('_temp', 0)
	es.server.cmd('est_GetFB _temp '+str(ident))
	return es.ServerVar('_temp')

def GetGravity(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetGravity _temp '+str(userid))
	return es.ServerVar('_temp')

def GetGun(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetGun _temp '+str(userid))
	return es.ServerVar('_temp')

def GetHE(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetHE _temp '+str(userid))
	return es.ServerVar('_temp')

def GetIP(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetIP _temp '+str(userid))
	return es.ServerVar('_temp')

def GetIndex(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetIndex _temp '+str(userid))
	return es.ServerVar('_temp')

def GetKills(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetKills _temp '+str(userid))
	return es.ServerVar('_temp')

def GetName(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetName _temp '+str(userid))
	return es.ServerVar('_temp')

def GetPrimary(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetPrimary _temp '+str(userid))
	return es.ServerVar('_temp')

def GetSG(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetSG _temp '+str(userid))
	return es.ServerVar('_temp')

def GetSecondary(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetSecondary _temp '+str(userid))
	return es.ServerVar('_temp')

def GetSteam(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetSteam _temp '+str(userid))
	return es.ServerVar('_temp')

def GetTeam(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetTeam _temp '+str(userid))
	return es.ServerVar('_temp')

def GetUserID(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetUserID _temp '+str(userid))
	return es.ServerVar('_temp')

def GetViewAngle(userid):
	es.set('_t1', 0)
	es.set('_t2', 0)
	es.set('_t3', 0)
	es.server.cmd('est_GetViewAngle _temp '+str(ident)+' _t1 _t2 _t3')
	return str(es.ServerVar('_t1')), str(es.ServerVar('_t2')), str(es.ServerVar('_t3'))

def GetViewCoord(userid):
	es.set('_t1', 0)
	es.set('_t2', 0)
	es.set('_t3', 0)
	es.server.cmd('est_GetViewCoord _temp '+str(ident)+' _t1 _t2 _t3')
	return str(es.ServerVar('_t1')), str(es.ServerVar('_t2')), str(es.ServerVar('_t3'))

def GetViewPlayer(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetViewPlayer '+str(userid)+' _temp')
	return es.ServerVar('_temp')

def GetViewProp(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetViewProp '+str(userid)+' _temp')
	return es.ServerVar('_temp')

def GetWeaponIndex(userid, weapon):
	es.set('_temp', 0)
	es.server.cmd('est_GetViewPlayer _temp '+str(userid)+' '+str(weapon)+' _temp')
	return es.ServerVar('_temp')

def God(ident, onoff):
	es.server.cmd('est_God '+str(ident)+' '+str(onoff))

def HasDefuser(ident):
	es.set('_temp', 0)
	es.server.cmd('est_HasDefuser _temp '+str(ident))
	return es.ServerVar('_temp')

def HasHelmet(ident):
	es.set('_temp', 0)
	es.server.cmd('est_HasHelmet _temp '+str(ident))
	return es.ServerVar('_temp')

def HasKevlar(ident):
	es.set('_temp', 0)
	es.server.cmd('est_HasKevlar _temp '+str(ident))
	return es.ServerVar('_temp')

def Health(ident, oper, amt):
	es.server.cmd('est_Health '+str(ident)+' '+str(oper)+' '+str(amt))

def HealthAdd(ident, amt):
	es.server.cmd('est_HealthAdd '+str(ident)+' '+str(amt))

def IsAlive(ident):
	es.set('_temp', 0)
	es.server.cmd('est_IsAlive _temp '+str(ident))
	return es.ServerVar('_temp')

def IsAlpha(string):
	es.set('_temp', 0)
	es.server.cmd('est_IsAlpha _temp '+str(string))
	return es.ServerVar('_temp')

def IsBomber(ident):
	es.set('_temp', 0)
	es.server.cmd('est_IsBomber _temp '+str(ident))
	return es.ServerVar('_temp')

def IsNumeric(string):
	es.set('_temp', 0)
	es.server.cmd('est_IsNumeric _temp '+str(string))
	return es.ServerVar('_temp')

def IsOnly(string, find):
	es.set('_temp', 0)
	es.server.cmd('est_IsOnly _temp '+str(string)+' '+str(find))
	return es.ServerVar('_temp')

def JetPack(ident, onoff):
	es.server.cmd('est_JetPack '+str(ident)+' '+str(onoff))

def KillAdd(ident, amt):
	es.server.cmd('est_KillAdd '+str(ident)+' '+str(amt))

def KillSet(ident, amt):
	es.server.cmd('est_KillSet '+str(ident)+' '+str(amt))

def KnifeOnly(ident):
	es.set('_temp', 0)
	es.server.cmd('est_KnifeOnly _temp '+str(ident))
	return es.ServerVar('_temp')

def MakeAdmin(steamid):
	es.server.cmd('est_MakeAdmin '+str(steamid))

def Name(ident, name):
	es.server.cmd('est_Name '+str(ident)+' '+str(name))

def NoClip(ident, onoff):
	es.server.cmd('est_NoClip '+str(ident)+' '+str(onoff))

def PhysPush(ident, x, y, z):
	es.server.cmd('est_PhysPush '+str(ident)+' '+str(x)+' '+str(y)+' '+str(z))

def PlayPlayer(ident, sound, volume=None, playto=None):
	es.set('_temp', 0)
	comm = 'est_PlayPlayer '+str(ident)+' '+str(sound)
	if volume:
		comm = comm+' '+str(volume)
		if playto:
			comm = comm+' '+str(playto)
	es.server.cmd(comm)

def PushTo(ident, x, y, z, force):
	es.server.cmd('est_PushTo '+str(ident)+' '+str(x)+' '+str(y)+' '+str(z)+' '+str(force))

def RegSayHook(text, part):
	es.server.cmd('est_RegSayHook '+str(text)+' '+str(part))

def Remove(ident):
	es.server.cmd('est_Remove '+str(ident))

def RemoveIdle(ident):
	es.server.cmd('est_RemoveIdle '+str(ident))

def RemoveWeapon(ident, weapon):
	es.server.cmd('est_RemoveWeapon '+str(ident)+' '+str(weapon))

def Rescued():
	es.set('_temp', 0)
	es.server.cmd('est_Rescued _temp')
	return es.ServerVar('_temp')

def Restrict(ident, weapon):
	es.server.cmd('est_Restrict '+str(ident)+' '+str(weapon))

def RestrictAll(ident):
	es.server.cmd('est_RestrictAll '+str(ident))

def Rocket(ident, onoff):
	es.server.cmd('est_Rocket '+str(ident)+' '+str(onoff))

def RoundDecimal(num, places):
	es.set('_temp', 0)
	es.server.cmd('est_RoundDecimal _temp '+str(num)+' '+str(places))
	return es.ServerVar('_temp')

def SetAmmo(ident, weapon, amt):
	es.server.cmd('est_SetAmmo '+str(ident)+' '+str(weapon)+' '+str(amt))

def SetArmor(ident, amt):
	es.server.cmd('est_SetArmor '+str(ident)+' '+str(amt))

def SetCash(ident, amt):
	es.server.cmd('est_SetCash '+str(ident)+' '+str(amt))

def SetEntityColor(index, r, g, b):
	es.server.cmd('est_SetEntityColor '+str(index)+' '+str(r)+' '+str(g)+' '+str(b))

def SetGravity(ident, ratio):
	es.server.cmd('est_SetGravity '+str(ident)+' '+str(ratio))

def SetHealth(ident, amt):
	es.server.cmd('est_SetHealth '+str(ident)+' '+str(amt))

def SetModel(ident, model):
	es.server.cmd('est_SetModel '+str(ident)+' '+str(model))

def SetPlayerColor(ident, r, g, b, a, weapons=None):
	comm = 'est_SetPlayerColor '+str(ident)+' '+str(r)+' '+str(g)+' '+str(b)+' '+str(a)
	if weapons:
		comm = comm+' '+str(weapons)
	es.server.cmd(comm)

def SetViewAngle(ident, pitch, yaw, roll)
	es.server.cmd('est_SetViewAngle '+str(ident)+' '+str(pitch)+' '+str(yaw)+' '+str(roll))

def Shake(ident, time, dist, violence):
	es.server.cmd('est_Shake '+str(ident)+' '+str(time)+' '+str(dist)+' '+str(violence))

def ShowMenu(time, ident, text):
	es.server.cmd('est_ShowMenu '+str(time)+' '+str(ident)+' '+str(text))

def Spawn(ident, force=None):
	if force:
		force = 1
	else:
		force = 0
	es.server.cmd('est_Spawn '+str(ident)+' '+str(force))

def Speed(ident, mult):
	es.server.cmd('est_Speed '+str(ident)+' '+str(mult))

def StrLen(text):
	es.set('_temp', 0)
	es.server.cmd('est_StrLen _temp '+str(text))
	return es.ServerVar('_temp')

def StrToUPPER(text):
	es.set('_temp', 0)
	es.server.cmd('est_StrToUPPER _temp '+str(text))
	return es.ServerVar('_temp')

def StrTolower(text):
	es.set('_temp', 0)
	es.server.cmd('est_StrTolower _temp '+str(text))
	return es.ServerVar('_temp')

def StripPlayer(ident, armor):
	es.server.cmd('est_StripPlayer '+str(ident)+' '+str(armor))

def Team(ident, team, slay=None):
	if slay:
		slay = 1
	else:
		slay = 0
	es.server.cmd('est_Team '+str(ident)+' '+str(team)+' '+str(slay))

def TrimDecimal(decimal, places):
	es.set('_temp', 0)
	es.server.cmd('est_TrimDecimal _temp '+str(decimal)+' '+str(places))
	return es.ServerVar('_temp')

def UnRestrict(ident, weapon):
	es.server.cmd('est_UnRestrict '+str(ident)+' '+str(weapon))

def UnRestrictAll(ident):
	es.server.cmd('est_UnRestrictAll '+str(ident))

def UpTime():
	es.set('_temp', 0)
	es.server.cmd('est_UpTime _temp')
	return es.ServerVar('_temp')

def gethealth(userid):
	es.set('_temp', 0)
	es.server.cmd('est_GetHealth _temp '+str(userid))
	return es.ServerVar('_temp')

def IsAdmin(ident):
	es.set('_temp', 0)
	es.server.cmd('est_IsAdmin _temp '+str(ident))
	return es.ServerVar('_temp')
